<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>blog articles(not fake)</title>
    <style>
        input{display: block;}
        textarea{display: block;}
    </style>
</head>
<body>
<form action="" method="post">
    {% csrf_token %}
    <label for="title">Title: </label>
    <input id="title" type="text" name="title">
    <label for="category">Category: </label>
    <input id="category" type="text" name="category">
    <label for="author">Author: </label>
    <input id="author" type="text" name="author">
    <label for="content">Content: </label>
    <textarea id="content" name="content" rows="4" cols="50"> </textarea>
    <input type="submit" value="create Article">
</form>

<ul>
    {% for article in articles %}
    <li>
        <P>Title:{{article.title}}</P>
        <P>Category:{{article.category}}</P>
        <P>Author:{{article.author}}</P>
        <P>posted on:{{article.creation_date}}</P>
         <a href="http://localhost:8080/blog/articles/{{ article.id }}">Read the article</a>
    </li>
    {% endfor %}
</ul>

</body>
</html>